<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>


    <parent>
        <groupId>com.ywt</groupId>
        <artifactId>ywt-parent</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>demo-platform-service-parent</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <properties>
        <service.version>1.0.0-SNAPSHOT</service.version>
    </properties>

    <modules>
        <module>demo-platform-service-common</module>
        <module>demo-platform-service-base</module>
        <module>demo-platform-service-rpc</module>
        <module>demo-platform-service-app</module>
        <module>demo-platform-service-web</module>
        <module>demo-platform-service-batch</module>
        <module>demo-platform-service-api</module>
        <module>consumer</module>
    </modules>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>demo-platform-service-base</artifactId>
                <version>${service.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ywt</groupId>
                <artifactId>demo-platform-service-common</artifactId>
                <version>${service.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>



</project>